aboutsummaryrefslogtreecommitdiffstats
path: root/community/redshift/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'community/redshift/APKBUILD')
-rw-r--r--community/redshift/APKBUILD47
1 files changed, 47 insertions, 0 deletions
diff --git a/community/redshift/APKBUILD b/community/redshift/APKBUILD
new file mode 100644
index 0000000000..c8fbdf089c
--- /dev/null
+++ b/community/redshift/APKBUILD
@@ -0,0 +1,47 @@
+# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
+# Maintainer: 7heo <7heo@mail.com>
+pkgname=redshift
+pkgver=1.11
+pkgrel=1
+pkgdesc="Adjusts the color temperature of your screen according to your surroundings"
+url="http://jonls.dk/redshift/"
+arch="all"
+license="GPL3"
+depends=""
+depends_dev=""
+makedepends="libxcb-dev libxxf86vm-dev libdrm-dev intltool"
+install=
+replaces=""
+subpackages="$pkgname-doc"
+source="https://github.com/jonls/${pkgname}/releases/download/v${pkgver}/${pkgname}-${pkgver}.tar.xz"
+
+builddir="$srcdir"/$pkgname-$pkgver
+build() {
+ cd "$builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --mandir=/usr/share/man \
+ --enable-drm \
+ --enable-randr \
+ --enable-vidmode \
+ --disable-silent-rules \
+ --disable-nls \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+
+ install -Dm644 redshift.conf.sample \
+ "$pkgdir"/usr/share/doc/$pkgname/examples/redshift.conf || return 1
+ install -m644 ABOUT-NLS DESIGN HACKING NEWS README README-colorramp \
+ "$pkgdir"/usr/share/doc/$pkgname/ || return 1
+}
+
+md5sums="a31d768b0348c5202e58612855a9027e redshift-1.11.tar.xz"
+sha256sums="10e350f93951c0521dd6f103d67a485972c307214f036e009acea2978fe4f359 redshift-1.11.tar.xz"
+sha512sums="88d7a4aabfaf3073f88673bc77df19d7bd79cb19aa8e647670cc52c02443475a4602f109fc4a06bf1639d1829d16a2644854039f90a614fc1a51c9cb4c81de16 redshift-1.11.tar.xz"